Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76754 - cvs rlog -l doesn't work
Summary: cvs rlog -l doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 21:52 UTC by Steve Dum
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-29 18:13:47 UTC


Attachments (Terms of Use)

Description Steve Dum 2002-10-25 21:52:54 UTC
Description of Problem:
executing the command 'cvs rlog -l .' traverses all subdirectorys
contrary to documented behavior. Note that on the cvs man page, the docs 
for -l do not list log or rlog commands, however, documentation for log
do list the -l command (saying that rlog is alias for log) and cvs rlog -help
does list -l as applicable.

Version-Release number of selected component (if applicable):
1.11.2 (also broke in 1.11.1p1 ok in 1.10

How Reproducible:
Always

Steps to Reproduce:
1. go into some cvs repository with subdirectories
2. run 'cvs rlog -l .
3. be overwhelmed with data, but sss that it traverses sub directories
   (or just grep for "RCS file" in the output to see that it recurses.

Actual Results:


Expected Results:


Additional Information:


Note You need to log in before you can comment on or make changes to this bug.